Bug 1282603 - Inservice upgrade of smbd/ctdb not possible
Inservice upgrade of smbd/ctdb not possible
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
3.1
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Laura Bailey
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 16:05 EST by Harold Miller
Modified: 2016-09-12 21:55 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-12 21:55:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harold Miller 2015-11-16 16:05:53 EST
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html/Installation_Guide/Updating_Your_Current_System.html

Section Number and Name: 7.2. IN-SERVICE SOFTWARE UPDATE FROM RED HAT GLUSTER STORAGE 3.0.X TO 3.1

Describe the issue: To follow the smb/ctdb instructions, you have to shut down the smb/ ctdb services, therefor interrupting service. This does not agree with the title of the chapter "IN-SERVICE SOFTWARE UPDATE"

Suggestions for improvement: We need to add a note to the smb/ctdb box/note that although RHGS does support in-service upgrades, smb/ctdb do not.

Additional information:
Comment 2 Laura Bailey 2015-11-17 18:49:14 EST
I can take care of this today. Thanks for logging this Harold!
Comment 6 Harold Miller 2015-11-30 15:19:47 EST
Looks good to me
Comment 8 surabhi 2016-08-30 05:15:57 EDT
The doc link provided http://jenkinscat.gsslab.pnq.redhat.com:8080/view/Gluster/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Updating_Your_Current_System

has the note related to in-service upgrad eof samba/ctdb is not possible.

Doc text looks good.
Marking verified.
Comment 9 Laura Bailey 2016-09-12 21:55:06 EDT
Closing bugs released as part of 3.1.3 GA and 3.1.3 Async update.

Note You need to log in before you can comment on or make changes to this bug.